# VPC-associated IPv6 network segment - AddVPCIPv6

## Overview

VPC-associated IPv6 network segment






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `AddVPCIPv6`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.genesissai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [Region and Zone List](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Zone. See [Region and Zone List](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. Leave it blank for the default project. Sub-accounts must fill in. Please refer to the [GetProjectList API](/docs/api/summary/get_project_list) |No|
| **VPCId** | string | VPC Id |**Yes**|
| **OperatorName** | string | Type: BGP \| Telecom \| China Mobile \| Unicom |**Yes**|
| **IPv6NetworkType** | string | Default--Default Subnet, Custom--Customer Provided |No|
| **IPv6Network** | string | Specified IPv6 network segment |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **IPv6Network** | string | IPv6 network segment |**Yes**|




## Example

### Request Example
    
```
https://api.genesissai.com/?Action=AddVPCIPv6
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=AhiiFWlg
&VPCId=ExLJEgWN
&OperatorName=khGMNaez
&IPv6NetworkType=vuPFIGtj
&IPv6Network=vhMyuiNa
```

### Response Example
    
```json
{
  "Action": "AddVPCIPv6Response",
  "IPv6Network": "iYLzwsVK",
  "Message": "JpNKCxDD",
  "RetCode": 0
}
```





